Bug 500200 - Forcedeth doesn't resume operations after hibernation
Forcedeth doesn't resume operations after hibernation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 12:27 EDT by Seppo Yli-Olli
Modified: 2009-05-14 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 10:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seppo Yli-Olli 2009-05-11 12:27:56 EDT
Description of problem:
Forcedeth doesn't initialize properly after resuming from hibernation

Version-Release number of selected component (if applicable):
2.6.29.2-126.fc11

How reproducible:
Always

Steps to Reproduce:
1. Hibernate
2. Resume
  
Actual results:
Network adapter card doesn't work

Expected results:
Network interface would actually start

Additional info:
This upstream patch is very likely related http://lkml.org/lkml/2009/5/6/447
Removing forcedeth with rmmod, then modprobing it again initializes the module properly.
Comment 1 Seppo Yli-Olli 2009-05-14 10:18:12 EDT
I just upgraded to kernel 2.6.29.2-140.fc11 and the bug disappeared. Apparently it's related to (or the same as) https://bugzilla.redhat.com/show_bug.cgi?id=484505 considering the patch meant for solving that bug fixed this one.

Note You need to log in before you can comment on or make changes to this bug.